Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WMenu
Class WMenuItem

    java.lang.Object
      LumiSoft.UI.Controls.WMenu.WMenuItem

    public class WMenuItem

extends java.lang.Object

Menu item.

Method Summary
`boolean` | `getEnabled()` Gets if menuitem enabled.
`int` | `getImageIndex()` Gets menuitem image index.
`boolean` | `getSeparator()` Gets if menuitem is separator.
`WContextMenu` | `getSubMenu()` Gets menuitem sub menu.
`java.lang.Object` | `getTag()` Gets menuitem tag.
`java.lang.String` | `getText()` Gets menuitem text.
`java.lang.String` | `getTextID()` Gets column text ID.
`boolean` | `getVisible()` Gets if menuitem visible.
`void` | `setEnabled(boolean value)` Sets if menuitem enabled.
`void` | `setImageIndex(int value)` Sets menuitem image index.
`void` | `setSeparator(boolean value)` Sets if menuitem is separator.
`void` | `setSubMenu(WContextMenu value)` Sets menuitem sub menu.
`void` | `setTag(java.lang.Object value)` Sets menuitem tag.
`void` | `setText(java.lang.String value)` Sets menuitem text.
`void` | `setTextID(java.lang.String value)` Sets column text ID.
`void` | `setVisible(boolean value)` Sets if menuitem visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getText

    public java.lang.String getText()

  Gets menuitem text.

  Returns:

### setText

    public void setText(java.lang.String value)

  Sets menuitem text.

  Parameters:
    `value` -

### getTextID

    public java.lang.String getTextID()

  Gets column text ID.

  Returns:

### setTextID

    public void setTextID(java.lang.String value)

  Sets column text ID.

  Parameters:
    `value` -

### getVisible

    public boolean getVisible()

  Gets if menuitem visible.

  Returns:

### setVisible

    public void setVisible(boolean value)

  Sets if menuitem visible.

  Parameters:
    `value` -

### getEnabled

    public boolean getEnabled()

  Gets if menuitem enabled.

  Returns:

### setEnabled

    public void setEnabled(boolean value)

  Sets if menuitem enabled.

  Parameters:
    `value` -

### getSeparator

    public boolean getSeparator()

  Gets if menuitem is separator.

  Returns:

### setSeparator

    public void setSeparator(boolean value)

  Sets if menuitem is separator.

  Parameters:
    `value` -

### getImageIndex

    public int getImageIndex()

  Gets menuitem image index.

  Returns:

### setImageIndex

    public void setImageIndex(int value)

  Sets menuitem image index.

  Parameters:
    `value` -

### getTag

    public java.lang.Object getTag()

  Gets menuitem tag.

  Returns:

### setTag

    public void setTag(java.lang.Object value)

  Sets menuitem tag.

  Parameters:
    `value` -

### getSubMenu

    public WContextMenu getSubMenu()

  Gets menuitem sub menu.

  Returns:

### setSubMenu

    public void setSubMenu(WContextMenu value)

  Sets menuitem sub menu.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD